summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh24
1 files changed, 19 insertions, 5 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 17146bc..6f9cb1c 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -1,5 +1,5 @@
#! /bin/sh
-# check script for Clzip - A data compressor based on the LZMA algorithm
+# check script for Clzip - Data compressor based on the LZMA algorithm
# Copyright (C) 2010 Antonio Diaz Diaz.
#
# This script is free software: you have unlimited permission
@@ -19,14 +19,23 @@ fi
if [ -d tmp ] ; then rm -rf tmp ; fi
mkdir tmp
-printf "testing clzip..."
+printf "testing clzip-%s..." "$2"
cd "${objdir}"/tmp
-cat "${testdir}"/test1 > in || framework_failure
+cat "${testdir}"/test.txt > in || framework_failure
fail=0
-"${LZIP}" -cd "${testdir}"/test1.lz > copy || fail=1
+"${LZIP}" -t "${testdir}"/test_v0.lz || fail=1
+printf .
+"${LZIP}" -cd "${testdir}"/test_v0.lz > copy || fail=1
cmp in copy || fail=1
+printf .
+
+"${LZIP}" -t "${testdir}"/test_v1.lz || fail=1
+printf .
+"${LZIP}" -cd "${testdir}"/test_v1.lz > copy || fail=1
+cmp in copy || fail=1
+printf .
for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
"${LZIP}" -k -$i in || fail=1
@@ -53,12 +62,17 @@ for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
done
for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
- "${LZIP}" -fe -$i -o out < in || fail=1
+ "${LZIP}" -f -$i -o out < in || fail=1
"${LZIP}" -df -o copy < out.lz || fail=1
cmp in copy || fail=1
printf .
done
+"${LZIP}" -$i < in > anyothername || fail=1
+"${LZIP}" -dq anyothername || fail=1
+cmp in anyothername.out || fail=1
+printf .
+
echo
if [ ${fail} = 0 ] ; then
echo "tests completed successfully."